# Makefile.in generated by automake 1.11.3 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

#
# Copyright 1998 - 2009 Double Precision, Inc.  See COPYING for
# distribution information.

VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
subdir = .
DIST_COMMON = $(am__configure_deps) $(srcdir)/../../install-sh \
	$(srcdir)/../../missing $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)" \
	"$(DESTDIR)$(man7dir)" "$(DESTDIR)$(man8dir)" \
	"$(DESTDIR)$(htmldocdir)"
NROFF = nroff
MANS = $(man_MANS)
DATA = $(htmldoc_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  if test -d "$(distdir)"; then \
    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
      && rm -rf "$(distdir)" \
      || { sleep 5 && rm -rf "$(distdir)"; }; \
  else :; fi
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
distcleancheck_listfiles = find . -type f -print
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL = @PERL@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
extension = @extension@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mailgroup = @mailgroup@
mailuser = @mailuser@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
version = @version@
htmldocdir = @datadir@/htmldoc
CLEANFILES = permissions.dat
miscfiles = japanese_flag.png chinese_flag.png bg.gif icon.gif manpage.css \
		draft-varshavchik-exdata-smtpext.txt \
		draft-varshavchik-verp-smtpext.txt \
		draft-varshavchik-security-smtpext.txt \
		style.css frame.js

nohtmlinfiles = aliases.html \
		changelog.html \
		courierd.html \
		courierdsn.html \
		documentation.html \
		esmtp.html \
		FAQ.html \
		footer.html \
		header.html \
		index.html \
		index2.html \
		install.html \
		intro.html \
		layout.html \
		links.html \
		local.html \
		main.html \
		menu.html \
		modules.html \
		queue.html \
		rpm.html \
		status.html \
		structures.html \
		svn.html

nohtmlin = $(miscfiles) $(nohtmlinfiles)
htmlin = \
		aliaslookup.html \
		cancelmsg.html \
		courier.html \
		courierldapaliasd.html \
		couriermlm.html \
		courierpop3d.html \
		couriertcpd.html \
		couriertls.html \
		deliverquota.html \
		dot-courier.html \
		dot-forward.html \
		esmtpd.html \
		imapd.html \
		localmailfilter.html \
		lockmail.html \
		mailbot.html \
		maildiracl.html \
		maildir.html \
		maildirkw.html \
		maildirmake.html \
		maildirquota.html \
		maildropex.html \
		maildropfilter.html \
		maildropgdbm.html \
		maildrop.html \
		maildrop.README.html \
		maildroptips.html \
		mailq.html \
		makeacceptmailfor.html \
		makealiases.html \
		makedat.html \
		makehosteddomains.html \
		makemime.html \
		makepercentrelay.html \
		makesmtpaccess.html \
		mimegpg.html \
		mkesmtpdcert.html \
		mkimapdcert.html \
		mkpop3dcert.html \
		pcp_README.html \
		pop3d.html \
		preline.html \
		reformail.html \
		reformime.html \
		sendmail.html \
		submit.html \
		testmxlookup.html \
		webmlmd.html

htmldoc_DATA = $(nohtmlin) $(htmlin)
man1 = sendmail.1 preline.1 maildirmake.1 cancelmsg.1 lockmail.1 maildrop.1 \
	mailq.1 mailbot.1 makemime.1 mimegpg.1 maildiracl.1 \
	makedat.1 reformail.1 reformime.1 couriermlm.1 testmxlookup.1 \
	dot-forward.1 couriertls.1 couriertcpd.1 maildirkw.1 \
	webmlmd.1

man5 = dot-courier.5 maildir.5
man7 = localmailfilter.7 maildirquota.7 maildropgdbm.7 maildropfilter.7 \
	maildropex.7

man8 = aliaslookup.8 courier.8 courierldapaliasd.8 courierpop3d.8 \
	deliverquota.8 \
	esmtpd.8 makeacceptmailfor.8 makehosteddomains.8\
	mkesmtpdcert.8 mkimapdcert.8 mkpop3dcert.8 \
	makealiases.8 makepercentrelay.8 makesmtpaccess.8 \
	pop3d.8 pop3d-ssl.8 submit.8 imapd.8

BUILT_SOURCES = \
	aliaslookup.html aliaslookup.8 \
	cancelmsg.html cancelmsg.1 \
	courier.html.in courier.8.in \
	courierldapaliasd.html.in courierldapaliasd.8.in \
	couriermlm.html.in couriermlm.1.in \
	dot-courier.html.in dot-courier.5.in \
	dot-forward.html dot-forward.1 \
	esmtpd.html.in esmtpd.8.in \
	localmailfilter.html.in localmailfilter.7.in \
	mailq.html mailq.1 \
	makeacceptmailfor.html.in makeacceptmailfor.8.in \
	makealiases.html.in makealiases.8.in \
	makehosteddomains.html.in makehosteddomains.8.in \
	makepercentrelay.html.in makepercentrelay.8.in \
	makesmtpaccess.html.in makesmtpaccess.8.in \
	mkesmtpdcert.html.in mkesmtpdcert.8.in \
	pop3d.html.in pop3d.8.in \
	preline.html.in preline.1.in \
	sendmail.html sendmail.1 \
	submit.html.in submit.8.in \
	testmxlookup.html testmxlookup.1 \
	webmlmd.html.in webmlmd.1.in

EXTRA_DIST = $(nohtmlin) $(BUILT_SOURCES) dotforward.1 pop3d-ssl.8
man_LINKS = $(man8dir)/courierpop3login.8 \
	$(man1dir)/rmail.1 $(man1dir)/dotforward.1 \
	$(man8dir)/makesmtpaccess-msa.8 \
	$(man8dir)/esmtpd-msa.8

man1dir = @mandir@/man1
man5dir = @mandir@/man5
man7dir = @mandir@/man7
man8dir = @mandir@/man8
man_MANS = $(man1) $(man5) $(man7) $(man8)
htmldocfiles = $(nohtmlinfiles) $(htmlin) \
	../module.fax/courierfax.html \
	../filters/courierfilter.html \
	../filters/courierperlfilter.html \
	../module.uucp/courieruucp.html \
	../filters/dupfilter.html

dollar = $$
id = $(dollar)Id
WWW = $$HOME/www/www.courier-mta.org
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
am--refresh: Makefile
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	$(am__cd) $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
$(am__aclocal_m4_deps):
install-man1: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
	@list=''; test -n "$(man1dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.1[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
install-man5: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man5dir)" || $(MKDIR_P) "$(DESTDIR)$(man5dir)"
	@list=''; test -n "$(man5dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.5[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man5dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man5dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man5dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man5dir)" || exit $$?; }; \
	done; }

uninstall-man5:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man5dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.5[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^5][0-9a-z]*$$,5,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man5dir)'; $(am__uninstall_files_from_dir)
install-man7: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man7dir)" || $(MKDIR_P) "$(DESTDIR)$(man7dir)"
	@list=''; test -n "$(man7dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.7[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man7dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man7dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man7dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man7dir)" || exit $$?; }; \
	done; }

uninstall-man7:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man7dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.7[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man7dir)'; $(am__uninstall_files_from_dir)
install-man8: $(man_MANS)
	@$(NORMAL_INSTALL)
	test -z "$(man8dir)" || $(MKDIR_P) "$(DESTDIR)$(man8dir)"
	@list=''; test -n "$(man8dir)" || exit 0; \
	{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.8[a-z]*$$/p'; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
	done; }

uninstall-man8:
	@$(NORMAL_UNINSTALL)
	@list=''; test -n "$(man8dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
	  sed -n '/\.8[a-z]*$$/p'; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
install-htmldocDATA: $(htmldoc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(htmldocdir)" || $(MKDIR_P) "$(DESTDIR)$(htmldocdir)"
	@list='$(htmldoc_DATA)'; test -n "$(htmldocdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldocdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldocdir)" || exit $$?; \
	done

uninstall-htmldocDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(htmldoc_DATA)'; test -n "$(htmldocdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	dir='$(DESTDIR)$(htmldocdir)'; $(am__uninstall_files_from_dir)
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@list='$(MANS)'; if test -n "$$list"; then \
	  list=`for p in $$list; do \
	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
	  if test -n "$$list" && \
	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
	    exit 1; \
	  else :; fi; \
	else :; fi
	$(am__remove_distdir)
	test -d "$(distdir)" || mkdir "$(distdir)"
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	-test -n "$(am__skip_mode_fix)" \
	|| find "$(distdir)" -type d ! -perm -755 \
		-exec chmod u+rwx,go+rx {} \; -o \
	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
	|| chmod -R a+r "$(distdir)"
dist-gzip: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

dist-bzip2: distdir
	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
	$(am__remove_distdir)

dist-lzip: distdir
	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
	$(am__remove_distdir)

dist-lzma: distdir
	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
	$(am__remove_distdir)

dist-xz: distdir
	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
	$(am__remove_distdir)

dist-tarZ: distdir
	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
	$(am__remove_distdir)

dist-shar: distdir
	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
	$(am__remove_distdir)

dist-zip: distdir
	-rm -f $(distdir).zip
	zip -rq $(distdir).zip $(distdir)
	$(am__remove_distdir)

dist dist-all: distdir
	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
	$(am__remove_distdir)

# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	case '$(DIST_ARCHIVES)' in \
	*.tar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
	*.tar.bz2*) \
	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
	*.tar.lzma*) \
	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
	*.tar.lz*) \
	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
	*.tar.xz*) \
	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
	*.tar.Z*) \
	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
	*.shar.gz*) \
	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
	*.zip*) \
	  unzip $(distdir).zip ;;\
	esac
	chmod -R a-w $(distdir); chmod a+w $(distdir)
	mkdir $(distdir)/_build
	mkdir $(distdir)/_inst
	chmod a-w $(distdir)
	test -d $(distdir)/_build || exit 0; \
	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
	  && am__cwd=`pwd` \
	  && $(am__cd) $(distdir)/_build \
	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
	    $(DISTCHECK_CONFIGURE_FLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) \
	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
	  && $(MAKE) $(AM_MAKEFLAGS) check \
	  && $(MAKE) $(AM_MAKEFLAGS) install \
	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
	        distuninstallcheck \
	  && chmod -R a-w "$$dc_install_base" \
	  && ({ \
	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
	  && rm -rf "$$dc_destdir" \
	  && $(MAKE) $(AM_MAKEFLAGS) dist \
	  && rm -rf $(DIST_ARCHIVES) \
	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
	  && cd "$$am__cwd" \
	  || exit 1
	$(am__remove_distdir)
	@(echo "$(distdir) archives ready for distribution: "; \
	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
distuninstallcheck:
	@test -n '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: trying to run $@ with an empty' \
	       '$$(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	$(am__cd) '$(distuninstallcheck_dir)' || { \
	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
	  exit 1; \
	}; \
	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
	   || { echo "ERROR: files left after uninstall:" ; \
	        if test -n "$(DESTDIR)"; then \
	          echo "  (check DESTDIR support)"; \
	        fi ; \
	        $(distuninstallcheck_listfiles) ; \
	        exit 1; } >&2
distcleancheck: distclean
	@if test '$(srcdir)' = . ; then \
	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
	  exit 1 ; \
	fi
	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
	  || { echo "ERROR: files left in build directory after distclean:" ; \
	       $(distcleancheck_listfiles) ; \
	       exit 1; } >&2
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-am
all-am: Makefile $(MANS) $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man5dir)" "$(DESTDIR)$(man7dir)" "$(DESTDIR)$(man8dir)" "$(DESTDIR)$(htmldocdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-am

clean-am: clean-generic clean-local mostlyclean-am

distclean: distclean-am
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

html-am:

info: info-am

info-am:

install-data-am: install-htmldocDATA install-man
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
install-dvi: install-dvi-am

install-dvi-am:

install-exec-am:

install-html: install-html-am

install-html-am:

install-info: install-info-am

install-info-am:

install-man: install-man1 install-man5 install-man7 install-man8

install-pdf: install-pdf-am

install-pdf-am:

install-ps: install-ps-am

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
	-rm -rf $(top_srcdir)/autom4te.cache
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-htmldocDATA uninstall-local uninstall-man

uninstall-man: uninstall-man1 uninstall-man5 uninstall-man7 \
	uninstall-man8

.MAKE: all check install install-am install-data-am install-strip

.PHONY: all all-am am--refresh check check-am clean clean-generic \
	clean-local dist dist-all dist-bzip2 dist-gzip dist-lzip \
	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
	distclean distclean-generic distcleancheck distdir \
	distuninstallcheck dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am \
	install-data-hook install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am \
	install-htmldocDATA install-info install-info-am install-man \
	install-man1 install-man5 install-man7 install-man8 \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-htmldocDATA uninstall-local uninstall-man \
	uninstall-man1 uninstall-man5 uninstall-man7 uninstall-man8


couriertcpd.html: ../../tcpd/couriertcpd.html
	cp -f $(srcdir)/../../tcpd/couriertcpd.html .

couriertcpd.1: ../../tcpd/couriertcpd.1
	cp -f $(srcdir)/../../tcpd/couriertcpd.1 .

couriertls.html: ../../tcpd/couriertls.html
	cp -f $(srcdir)/../../tcpd/couriertls.html .

couriertls.1: ../../tcpd/couriertls.1
	cp -f $(srcdir)/../../tcpd/couriertls.1 .

maildirmake.html: ../../maildir/maildirmake.html
	cp -f ../../maildir/maildirmake.html .

maildiracl.html: ../../maildir/maildiracl.html
	cp -f ../../maildir/maildiracl.html .

maildirkw.html: ../../maildir/maildirkw.html
	cp -f $(srcdir)/../../maildir/maildirkw.html .

maildirmake.1: ../../maildir/maildirmake.1
	cp -f ../../maildir/maildirmake.1 .

maildiracl.1: ../../maildir/maildiracl.1
	cp -f ../../maildir/maildiracl.1 .

maildirkw.1: ../../maildir/maildirkw.1
	cp -f $(srcdir)/../../maildir/maildirkw.1 .

maildir.html: ../../maildir/maildir.html
	cp -f $(srcdir)/../../maildir/maildir.html .

maildir.5: ../../maildir/maildir.5
	cp -f $(srcdir)/../../maildir/maildir.5 .

maildirquota.html: $(srcdir)/../../maildir/maildirquota.html
	cp -f $(srcdir)/../../maildir/maildirquota.html .

maildirquota.7: $(srcdir)/../../maildir/maildirquota.7
	cp -f $(srcdir)/../../maildir/maildirquota.7 .

deliverquota.html: ../../maildir/deliverquota.html
	cp -f ../../maildir/deliverquota.html .

deliverquota.8: ../../maildir/deliverquota.8
	cp -f ../../maildir/deliverquota.8 .

imapd.html: ../../imap/imapd.html
	cp -f ../../imap/imapd.html .

imapd.8: ../../imap/imapd.8
	cp -f ../../imap/imapd.8 .

maildrop.README.html: ../../maildrop/README.html
	cp -f ../../maildrop/README.html maildrop.README.html

lockmail.html: ../../liblock/lockmail.html
	cp -f $(srcdir)/../../liblock/lockmail.html .

lockmail.1: ../../liblock/lockmail.1
	cp -f $(srcdir)/../../liblock/lockmail.1 .

maildrop.html: ../../maildrop/maildrop.html
	cp -f ../../maildrop/maildrop.html .

maildrop.1: ../../maildrop/maildrop.1
	cp -f ../../maildrop/maildrop.1 .

maildropgdbm.html: ../../maildrop/maildropgdbm.html
	cp -f $(srcdir)/../../maildrop/maildropgdbm.html .

maildropgdbm.7: ../../maildrop/maildropgdbm.7
	cp -f $(srcdir)/../../maildrop/maildropgdbm.7 .

maildropex.html: ../../maildrop/maildropex.html
	cp -f $(srcdir)/../../maildrop/maildropex.html .

maildropex.7: ../../maildrop/maildropex.7
	cp -f $(srcdir)/../../maildrop/maildropex.7 .

maildroptips.html: ../../maildrop/maildroptips.html
	cp -f $(srcdir)/../../maildrop/maildroptips.html .

makedat.html: ../../maildrop/makedat.html
	cp -f $(srcdir)/../../maildrop/makedat.html .

makedat.1: ../../maildrop/makedat.1
	cp -f $(srcdir)/../../maildrop/makedat.1 .

maildropfilter.html: ../../maildrop/maildropfilter.html
	cp -f ../../maildrop/maildropfilter.html .

maildropfilter.7: ../../maildrop/maildropfilter.7
	cp -f ../../maildrop/maildropfilter.7 .

reformail.html: ../../maildrop/reformail.html
	cp -f $(srcdir)/../../maildrop/reformail.html .

reformail.1: ../../maildrop/reformail.1
	cp -f $(srcdir)/../../maildrop/reformail.1 .

makemime.html: ../../rfc2045/makemime.html
	cp -f $(srcdir)/../../rfc2045/makemime.html .

makemime.1: ../../rfc2045/makemime.1
	cp -f $(srcdir)/../../rfc2045/makemime.1 .

mailbot.html: ../../maildrop/mailbot.html
	cp -f $(srcdir)/../../maildrop/mailbot.html .

mailbot.1: ../../maildrop/mailbot.1
	cp -f $(srcdir)/../../maildrop/mailbot.1 .

reformime.html: ../../rfc2045/reformime.html
	cp -f $(srcdir)/../../rfc2045/reformime.html .

reformime.1: ../../rfc2045/reformime.1
	cp -f $(srcdir)/../../rfc2045/reformime.1 .

mimegpg.html: ../../gpglib/mimegpg.html
	cp -f $(srcdir)/../../gpglib/mimegpg.html mimegpg.html

mimegpg.1: ../../gpglib/mimegpg.html
	cp -f $(srcdir)/../../gpglib/mimegpg.1 mimegpg.1

mkimapdcert.html: ../../imap/mkimapdcert.html
	cp -f ../../imap/mkimapdcert.html .

mkimapdcert.8: ../../imap/mkimapdcert.8
	cp -f ../../imap/mkimapdcert.8 .

mkpop3dcert.html: ../../imap/mkpop3dcert.html
	cp -f ../../imap/mkpop3dcert.html .

mkpop3dcert.8: ../../imap/mkpop3dcert.8
	cp -f ../../imap/mkpop3dcert.8 .

courierpop3d.html: ../../imap/courierpop3d.html
	cp -f ../../imap/courierpop3d.html .

courierpop3d.8: ../../imap/courierpop3d.8
	cp -f ../../imap/courierpop3d.8 .

pcp_README.html: ../../pcp/README.html
	cp -f $(srcdir)/../../pcp/README.html pcp_README.html

@HAVE_SGML_TRUE@aliaslookup.html: aliaslookup.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html aliaslookup.sgml aliaslookup.html

@HAVE_SGML_TRUE@aliaslookup.8: aliaslookup.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man aliaslookup.sgml aliaslookup.8

@HAVE_SGML_TRUE@courier.html.in: courier.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html courier.sgml courier.html.in

@HAVE_SGML_TRUE@courier.8.in: courier.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man courier.sgml courier.8.in
@HAVE_SGML_TRUE@	mv courier.8 courier.8.in

@HAVE_SGML_TRUE@cancelmsg.html: cancelmsg.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html cancelmsg.sgml cancelmsg.html

@HAVE_SGML_TRUE@cancelmsg.1: cancelmsg.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man cancelmsg.sgml cancelmsg.1

@HAVE_SGML_TRUE@mailq.html: mailq.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html mailq.sgml mailq.html

@HAVE_SGML_TRUE@mailq.1: mailq.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man mailq.sgml mailq.1

@HAVE_SGML_TRUE@couriermlm.html.in: couriermlm.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html couriermlm.sgml couriermlm.html.in

@HAVE_SGML_TRUE@couriermlm.1.in: couriermlm.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man couriermlm.sgml couriermlm.1.in
@HAVE_SGML_TRUE@	mv couriermlm.1 couriermlm.1.in

@HAVE_SGML_TRUE@webmlmd.html.in: webmlmd.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html webmlmd.sgml webmlmd.html.in

@HAVE_SGML_TRUE@webmlmd.1.in: webmlmd.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man webmlmd.sgml webmlmd.1.in
@HAVE_SGML_TRUE@	mv webmlmd.1 webmlmd.1.in

@HAVE_SGML_TRUE@dot-courier.html.in: dot-courier.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html dot-courier.sgml dot-courier.html.in

@HAVE_SGML_TRUE@dot-courier.5.in: dot-courier.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man dot-courier.sgml dot-courier.5.in
@HAVE_SGML_TRUE@	mv dot-courier.5 dot-courier.5.in

@HAVE_SGML_TRUE@courierldapaliasd.html.in: courierldapaliasd.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html courierldapaliasd.sgml courierldapaliasd.html.in

@HAVE_SGML_TRUE@courierldapaliasd.8.in: courierldapaliasd.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man courierldapaliasd.sgml courierldapaliasd.8.in
@HAVE_SGML_TRUE@	mv courierldapaliasd.8 courierldapaliasd.8.in

@HAVE_SGML_TRUE@esmtpd.html.in: esmtpd.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html esmtpd.sgml esmtpd.html.in

@HAVE_SGML_TRUE@esmtpd.8.in: esmtpd.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man esmtpd.sgml esmtpd.8.in
@HAVE_SGML_TRUE@	mv esmtpd.8 esmtpd.8.in

@HAVE_SGML_TRUE@localmailfilter.html.in: localmailfilter.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html localmailfilter.sgml localmailfilter.html.in

@HAVE_SGML_TRUE@localmailfilter.7.in: localmailfilter.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man localmailfilter.sgml localmailfilter.7.in
@HAVE_SGML_TRUE@	mv localmailfilter.7 localmailfilter.7.in

@HAVE_SGML_TRUE@makeacceptmailfor.html.in: makeacceptmailfor.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html makeacceptmailfor.sgml makeacceptmailfor.html.in

@HAVE_SGML_TRUE@makeacceptmailfor.8.in: makeacceptmailfor.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man makeacceptmailfor.sgml makeacceptmailfor.8.in
@HAVE_SGML_TRUE@	mv makeacceptmailfor.8 makeacceptmailfor.8.in

@HAVE_SGML_TRUE@makealiases.html.in: makealiases.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html makealiases.sgml makealiases.html.in

@HAVE_SGML_TRUE@makealiases.8.in: makealiases.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man makealiases.sgml makealiases.8.in
@HAVE_SGML_TRUE@	mv makealiases.8 makealiases.8.in

@HAVE_SGML_TRUE@makehosteddomains.html.in: makehosteddomains.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html makehosteddomains.sgml makehosteddomains.html.in

@HAVE_SGML_TRUE@makehosteddomains.8.in: makehosteddomains.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man makehosteddomains.sgml makehosteddomains.8.in
@HAVE_SGML_TRUE@	mv makehosteddomains.8 makehosteddomains.8.in

@HAVE_SGML_TRUE@submit.html.in: submit.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html submit.sgml submit.html.in

@HAVE_SGML_TRUE@submit.8.in: submit.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man submit.sgml submit.8.in
@HAVE_SGML_TRUE@	mv submit.8 submit.8.in

@HAVE_SGML_TRUE@pop3d.html.in: pop3d.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html pop3d.sgml pop3d.html.in

@HAVE_SGML_TRUE@pop3d.8.in: pop3d.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man pop3d.sgml pop3d.8.in
@HAVE_SGML_TRUE@	mv pop3d.8 pop3d.8.in

@HAVE_SGML_TRUE@mkesmtpdcert.html.in: mkesmtpdcert.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html mkesmtpdcert.sgml mkesmtpdcert.html.in

@HAVE_SGML_TRUE@mkesmtpdcert.8.in: mkesmtpdcert.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man mkesmtpdcert.sgml mkesmtpdcert.8.in
@HAVE_SGML_TRUE@	mv mkesmtpdcert.8 mkesmtpdcert.8.in

@HAVE_SGML_TRUE@makesmtpaccess.html.in: makesmtpaccess.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html makesmtpaccess.sgml makesmtpaccess.html.in

@HAVE_SGML_TRUE@makesmtpaccess.8.in: makesmtpaccess.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man makesmtpaccess.sgml makesmtpaccess.8.in
@HAVE_SGML_TRUE@	mv makesmtpaccess.8 makesmtpaccess.8.in

@HAVE_SGML_TRUE@makepercentrelay.html.in: makepercentrelay.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html makepercentrelay.sgml makepercentrelay.html.in

@HAVE_SGML_TRUE@makepercentrelay.8.in: makepercentrelay.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man makepercentrelay.sgml makepercentrelay.8.in
@HAVE_SGML_TRUE@	mv makepercentrelay.8 makepercentrelay.8.in

@HAVE_SGML_TRUE@sendmail.html: sendmail.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html sendmail.sgml sendmail.html

@HAVE_SGML_TRUE@sendmail.1: sendmail.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man sendmail.sgml sendmail.1

@HAVE_SGML_TRUE@testmxlookup.html: testmxlookup.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html testmxlookup.sgml testmxlookup.html

@HAVE_SGML_TRUE@testmxlookup.1: testmxlookup.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man testmxlookup.sgml testmxlookup.1

@HAVE_SGML_TRUE@dot-forward.html: dot-forward.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html dot-forward.sgml dot-forward.html

@HAVE_SGML_TRUE@dot-forward.1: dot-forward.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man dot-forward.sgml dot-forward.1

@HAVE_SGML_TRUE@preline.html.in: preline.sgml ../../docbook/sgml2html
@HAVE_SGML_TRUE@	../../docbook/sgml2html preline.sgml preline.html.in

@HAVE_SGML_TRUE@preline.1.in: preline.sgml ../../docbook/sgml2man
@HAVE_SGML_TRUE@	../../docbook/sgml2man preline.sgml preline.1.in
@HAVE_SGML_TRUE@	mv preline.1 preline.1.in

@HAVE_SGML_TRUE@manpage.css: ../../docbook/manpage.css
@HAVE_SGML_TRUE@	cp -f ../../docbook/manpage.css .

courier.html: courier.html.in
	./config.status --file=$@

courier.8: courier.8.in
	./config.status --file=$@

couriermlm.html: couriermlm.html.in
	./config.status --file=$@

couriermlm.1: couriermlm.1.in
	./config.status --file=$@

webmlmd.html: webmlmd.html.in
	./config.status --file=$@

webmlmd.1: webmlmd.1.in
	./config.status --file=$@

dot-courier.html: dot-courier.html.in
	./config.status --file=$@

dot-courier.5: dot-courier.5.in
	./config.status --file=$@

courierldapaliasd.html: courierldapaliasd.html.in
	./config.status --file=$@

courierldapaliasd.8: courierldapaliasd.8.in
	./config.status --file=$@

esmtpd.html: esmtpd.html.in
	./config.status --file=$@

esmtpd.8: esmtpd.8.in
	./config.status --file=$@

localmailfilter.html: localmailfilter.html.in
	./config.status --file=$@

localmailfilter.7: localmailfilter.7.in
	./config.status --file=$@

makeacceptmailfor.html: makeacceptmailfor.html.in
	./config.status --file=$@

makeacceptmailfor.8: makeacceptmailfor.8.in
	./config.status --file=$@

makealiases.html: makealiases.html.in
	./config.status --file=$@

makealiases.8: makealiases.8.in
	./config.status --file=$@

makehosteddomains.html: makehosteddomains.html.in
	./config.status --file=$@

makehosteddomains.8: makehosteddomains.8.in
	./config.status --file=$@

submit.html: submit.html.in
	./config.status --file=$@

submit.8: submit.8.in
	./config.status --file=$@

pop3d.html: pop3d.html.in
	./config.status --file=$@

pop3d.8: pop3d.8.in
	./config.status --file=$@

mkesmtpdcert.html: mkesmtpdcert.html.in
	./config.status --file=$@

mkesmtpdcert.8: mkesmtpdcert.8.in
	./config.status --file=$@

makesmtpaccess.html: makesmtpaccess.html.in
	./config.status --file=$@

makesmtpaccess.8: makesmtpaccess.8.in
	./config.status --file=$@

makepercentrelay.html: makepercentrelay.html.in
	./config.status --file=$@

makepercentrelay.8: makepercentrelay.8.in
	./config.status --file=$@

preline.html: preline.html.in
	./config.status --file=$@

preline.1: preline.1.in
	./config.status --file=$@

install-man-extra:
	cd $(DESTDIR)$(man8dir) ; \
		rm -f courierpop3login.8 makesmtpaccess-msa.8 esmtpd-msa.8; \
		$(LN_S) courierpop3d.8 courierpop3login.8; \
		$(LN_S) makesmtpaccess.8 makesmtpaccess-msa.8 ; \
		$(LN_S) esmtpd.8 esmtpd-msa.8
	cd $(DESTDIR)$(man1dir) ; rm -f rmail.1 dotforward.1 \
		; $(LN_S) sendmail.1 rmail.1 \
		; $(LN_S) dot-forward.1 dotforward.1

uninstall-local:
	rm -f $(DESTDIR)$(man8dir)/esmtpd-msa.8
	rm -f $(DESTDIR)$(man8dir)/makesmtpaccess-msa.8
	rm -f $(DESTDIR)$(man8dir)/courierpop3login.8
	rm -f $(DESTDIR)$(man1dir)/rmail.1
	rm -f $(DESTDIR)$(man1dir)/dotforward.1

clean-local:
	rm -rf cleanlist
	mkdir cleanlist
	for f in $(EXTRA_DIST) ; do echo timestamp >cleanlist/$$f ; done
	for f in $(man_MANS) $(htmldoc_DATA) ; do test -f cleanlist/$$f || rm -f $$f ; done
	rm -rf cleanlist

install-data-hook:
	$(MAKE) install-man
	$(MAKE) install-man-extra
	$(MAKE) install-htmldocDATA
	$(MAKE) do-man-install

do-man-install:
	for f in $(mandir) $(man1dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chmod 755 $(DESTDIR)$$f ; done ; exit 0
	for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chmod 644 $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
	for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chmod 644 $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
	for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chmod 644 $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
	for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chmod 644 $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
	test -w /etc || exit 0 ; for f in $(mandir) $(man1dir) $(man5dir) $(man7dir) $(man8dir) ; do test -d $(DESTDIR)$$f && chown bin $(DESTDIR)$$f && chgrp bin $(DESTDIR)$$f ; done ; exit 0
	test -w /etc || exit 0 ; for f in $(man1) ; do test -f $(DESTDIR)$(man1dir)/$$f && chown bin $(DESTDIR)$(man1dir)/$$f && chgrp bin $(DESTDIR)$(man1dir)/$$f ; done ; exit 0
	test -w /etc || exit 0 ; for f in $(man5) ; do test -f $(DESTDIR)$(man5dir)/$$f && chown bin $(DESTDIR)$(man5dir)/$$f && chgrp bin $(DESTDIR)$(man5dir)/$$f ; done ; exit 0
	test -w /etc || exit 0 ; for f in $(man7) ; do test -f $(DESTDIR)$(man7dir)/$$f && chown bin $(DESTDIR)$(man7dir)/$$f && chgrp bin $(DESTDIR)$(man7dir)/$$f ; done ; exit 0
	test -w /etc || exit 0 ; for f in $(man8) ; do test -f $(DESTDIR)$(man8dir)/$$f && chown bin $(DESTDIR)$(man8dir)/$$f && chgrp bin $(DESTDIR)$(man8dir)/$$f ; done ; exit 0
	for f in $(htmldoc_DATA) ; do chmod 444 $(DESTDIR)$(htmldocdir)/$$f ; done
	test -w /etc || exit 0; for f in $(htmldoc_DATA) ; do chown bin $(DESTDIR)$(htmldocdir)/$$f ; chgrp bin $(DESTDIR)$(htmldocdir)/$$f ; done

status.html: config.status

install-perms:
	@$(MAKE) install-perms-recursive
	@$(MAKE) install-perms-local

install-perms-recursive:
	@>permissions.dat
	@SUBDIRS="$(SUBDIRS)" ; for f in $$SUBDIRS ; do ( cd $$f && $(MAKE) $(AM_MAKEFLAGS) install-perms ) ; cat /dev/null >>$$f/permissions.dat ; cat $$f/permissions.dat >>permissions.dat ; done

install-perms-local:
	@echo @mandir@ 755 bin bin >>permissions.dat
	@echo $(man1dir) 755 bin bin >>permissions.dat
	@echo $(man5dir) 755 bin bin >>permissions.dat
	@echo $(man7dir) 755 bin bin >>permissions.dat
	@echo $(man8dir) 755 bin bin >>permissions.dat
	@for f in $(man1) ; do	\
	echo $(man1dir)/$$f 644 bin bin man >>permissions.dat ; done
	@for f in $(man5) ; do	\
	echo $(man5dir)/$$f 644 bin bin man >>permissions.dat ; done
	@for f in $(man7) ; do	\
	echo $(man7dir)/$$f 644 bin bin man >>permissions.dat ; done
	@for f in $(man8) ; do	\
	echo $(man8dir)/$$f 644 bin bin man >>permissions.dat ; done
	@for f in $(man_LINKS) ; do	\
	echo $$f 644 bin bin man >>permissions.dat ; done
	@echo $(htmldocdir) 755 bin bin >>permissions.dat
	@for f in $(htmldoc_DATA) ; do \
	echo $(htmldocdir)/$$f 444 bin bin doc >>permissions.dat ; done

htmldoc: $(htmldocfiles)
	for f in $(htmldocfiles); do test "$$f" = "footer.html" && continue; test "$$f" = "menu.html" && continue; test "$$f" = "header.html" && continue; test "$$f" = "index.html" && continue; test "$$f" = "main.html" && continue; b=`basename $$f`; d=$(WWW)/$$b; h=`test ! -f $$d || perl -ne ' print $$1 if /\\$(id):([^\\$$]*)\\$$/' <$$d`; echo $$f; xsltproc --nonet $(WWW)/xsl/courier.xsl $$f | perl -ne 's~\$(id):.*\$$~\$(id):'"$$h"'\$$~; print' >$$d; done
	for f in index.html main.html header.html footer.html menu.html; do  b=`basename $$f`; d=$(WWW)/$$b; h=`test ! -f $$d || perl -ne ' print $$1 if /\\$(id):([^\\$$]*)\\$$/' <$$d`; perl -ne 's~\$(id):.*\$$~\$(id):'"$$h"'\$$~; print' <$$f >$$d; done
	cp $(miscfiles) $(WWW)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
